org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class SampleTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.SampleTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.SampleTest.Traversals

- Enclosing class:
    SampleTest

      public static class SampleTest.Traversals
      extends SampleTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.SampleTest

      `SampleTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Edge,Edge>` | `get_g_E_sampleX1X()`
    `Traversal<Edge,Edge>` | `get_g_E_sampleX2X_byXweightX()`
    `Traversal<Vertex,Map<String,Collection<Double>>>` | `get_g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX()`
    `Traversal<Vertex,Map<String,Collection<Double>>>` | `get_g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX()`
    `Traversal<Vertex,Edge>` | `get_g_V_localXoutE_sampleX1X_byXweightXX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.SampleTest

      `g_E_sampleX1X, g_E_sampleX2X_byXweightX, g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX, g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX, g_V_localXoutE_sampleX1X_byXweightXX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_E_sampleX1X

          public Traversal<Edge,Edge> get_g_E_sampleX1X()

      Specified by:
        `get_g_E_sampleX1X` in class `SampleTest`

    - #### get_g_E_sampleX2X_byXweightX

          public Traversal<Edge,Edge> get_g_E_sampleX2X_byXweightX()

      Specified by:
        `get_g_E_sampleX2X_byXweightX` in class `SampleTest`

    - #### get_g_V_localXoutE_sampleX1X_byXweightXX

          public Traversal<Vertex,Edge> get_g_V_localXoutE_sampleX1X_byXweightXX()

      Specified by:
        `get_g_V_localXoutE_sampleX1X_byXweightXX` in class `SampleTest`

    - #### get_g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX

          public Traversal<Vertex,Map<String,Collection<Double>>> get_g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX()

      Specified by:
        `get_g_V_group_byXlabelX_byXbothE_weight_sampleX2X_foldX` in class `SampleTest`

    - #### get_g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX

          public Traversal<Vertex,Map<String,Collection<Double>>> get_g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX()

      Specified by:
        `get_g_V_group_byXlabelX_byXbothE_weight_fold_sampleXlocal_5XX` in class `SampleTest`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.